#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Low-level CSS parser for Python
Summary(pl.UTF-8):	Niskopoziomowy parser CSS dla Pythona
Name:		python3-tinycss2
Version:	1.4.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/tinycss2/
Source0:	https://files.pythonhosted.org/packages/source/t/tinycss2/tinycss2-%{version}.tar.gz
# Source0-md5:	de6bd20b47354352c2b2344c842385c7
URL:		https://pypi.org/project/tinycss2/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-webencodings >= 0.4
%endif
%if %{with doc}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-sphinx_rtd_theme
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tinycss2 is a modern, low-level CSS parser for Python. tinycss2 is a
rewrite of tinycss with a simpler API, based on the more recent CSS
Syntax Level 3 specification.

%description -l pl.UTF-8
tinycss2 to nowoczesny, niskopoziomowy parser CSS dla Ptyhona. Jest to
napisany od początku tinycss z prostszym API, oparty na nowszej
specyfikacji CSS Syntax Level 3.

%package apidocs
Summary:	API documentation for Python tinycss2 module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona tinycss2
Group:		Documentation

%description apidocs
API documentation for Python tinycss2 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona tinycss2.

%prep
%setup -q -n tinycss2-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest -v
%endif

%if %{with doc}
cd docs
PYTHONPATH=$(pwd)/.. \
%{__python3} -m sphinx -W . build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/tinycss2
%{py3_sitescriptdir}/tinycss2-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat May 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-tinycss2.git;a=log;h=auto/th/python3-tinycss2-1.4.0-1

* Sat May 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> ec9425b
- Up to 1.4.0

* Fri May 02 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3077507
- relup

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> cfd52c4
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7ac92a4
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 8178060
- use patch -P

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> ab148e9
- Release 5 (by relup.sh)

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 40fc765
- Release 4 (by relup.sh)

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 1b34edb
- --cov option does not exist now

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 1dc1af4
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0807a55
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 8e9235e
- Sphinx module is enough, no scripts

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 3c78f8a
- finished package, added -apidocs

* Sun Sep 05 2021 Jan Rękorajski <baggins@pld-linux.org> 3cd222f
- rel 1

* Sun Sep 05 2021 Jan Rękorajski <baggins@pld-linux.org> 0745c18
- new

